/* FichothequeLib_API - Copyright (c) 2011-2022 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.fichotheque.selection;

import java.util.List;
import net.fichotheque.SubsetKey;


/**
 *
 * @author Vincent Calame
 */
public interface IllustrationQuery {

    public List<SubsetKey> getAlbumKeyList();

    public List<String> getAlbumDimNameList();

    public default boolean isEmpty() {
        if (!getAlbumKeyList().isEmpty()) {
            return false;
        }
        if (!getAlbumDimNameList().isEmpty()) {
            return false;
        }
        return true;
    }

}
